Subject: Re: bug#5804: sort --human

From: Bob Proulx <[email-masked]>
Date: Tue, 30 Mar 2010 11:04:06 -0600

Phil Dumont wrote:
> It sure would be nice if the sort command had a --human option:
>   du -s --human * | sort --human

Ask and you shall receive.  Seek and ye shall find!  (Or in this case
if you had searched you would have found it. :-)

Sort has had that option since coreutils release 7.5.  Here is the
release announcement.

  http://lists.gnu.org/archive/html/bug-coreutils/2009-08/msg00201.html

    * Noteworthy changes in release 7.5 (2009-08-20) [stable]
    ** New features
      sort accepts a new option, --human-numeric-sort (-h): sort numbers
      while honoring human readable suffixes like KiB and MB etc.

Meanwhile, coreutils release 8.4 (2010-01-13) is current and stable.

Bob